<?php
/**
* MyCommunity template
* Designed by jh! design ( www.jh-design.com ) in cooperation with and for www.joomlapolis.com
* Copyright 2007-2015 Lightning MultiCom SA, Lausanne, Switzerland and its licensors - www.joomlapolis.com
* License: GNU General Public License version 2 http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
* For adaptations enquiries/request for quotation you can directly contact info@jh-design.com
*/
// no direct access
defined('_JEXEC') or die('Restricted access');

$url = clone(JURI::getInstance());

$bgColor 					= $this->params->get("bgColor", "#ffffff");
$varWidth		 			= ($this->params->get("varWidth", 1)  == 0)?"false":"true";
$fixedWidth 				= $this->params->get("fixedWidth", "965");
$logoImage		 			= ($this->params->get("logoImage", 1)  == 0)?"false":"true";
$imageALT 					= $this->params->get("imageALT", "MyCommunity");
$imagePath 					= $this->params->get("imagePath", "");
$leftcol_width				= $this->params->get("leftcolWidth", "150");
$rightcol_width				= $this->params->get("rightcolWidth", "150");
$textlogo					= $this->params->get("textlogo", "My<strong>Community</strong>");
$subtitle					= $this->params->get("subtitle", "community portal<br/>friendly template");
$dropdown					= $this->params->get("dropdown", 1);
$mootoolsDisabled			= $this->params->get("mootoolsDisabled", 0);
$captionDisabled			= $this->params->get("captionDisabled", 0);

$mainright 					= $fixedWidth-$leftcol_width;

$jsHeads					= $this->getHeadData();
reset( $jsHeads['scripts'] );
foreach ( array_keys( $jsHeads['scripts'] ) as $scriptUrl ) {
    if ( ( $mootoolsDisabled && ( strpos( $scriptUrl, 'mootools.js' ) || strpos( $scriptUrl, 'mootools-uncompressed.js' ) ) ) || ( $captionDisabled && strpos( $scriptUrl, 'caption.js' ) ) ) {
        unset( $jsHeads['scripts'][$scriptUrl] );
    }
}
$this->setHeadData( $jsHeads );

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>" >
<head>
	<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/system/css/system.css" type="text/css" />
	<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/system/css/general.css" type="text/css" />
	<link href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/template.css" rel="stylesheet" type="text/css" />
    <?php if ($dropdown) { ?><link href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/dropdown.css" rel="stylesheet" type="text/css" /><?php } ?>
<?php
	$topCount = $this->countModules('user3') + $this->countModules('user4');
	$botCount = $this->countModules('user5') + $this->countModules('user6');
?>
	<style type="text/css">
		body { background: <?php echo $bgColor; ?>; }
<?php if ($varWidth == "true") { ?>
		#container { width: 100%; min-width:800px; }
		#menus { width: 100%!important; width: auto; }
		#maincol { margin-left: <?php echo $leftcol_width; ?>px; }
		#mainleft { margin-right: <?php echo $rightcol_width; ?>px; }
		#mainleftwide { width: auto;  }
		#content { float:left; width: 99.8%!important; width: auto; }
<?php } else { ?>
		#maincol {margin-left: <?php echo $leftcol_width; ?>px;   }
		#container { width: <?php echo $fixedWidth; ?>px; }
		#menus { width: <?php echo $mainright; ?>px; } 
		#mainleft { margin-right: <?php echo $rightcol_width; ?>px!important; margin-right: 0;  position:relative!important; position:inherit;  width: <?php echo $mainright-$rightcol_width; ?>px!important; width: <?php echo $mainright-$rightcol_width-1; ?>px; float:none!important; float:left; }
		#mainleftwide { float: left; width: <?php echo $fixedWidth-$leftcol_width; ?>px;  }
		#content { float:left; width: 99.8%!important; width: auto; }
<?php } ?>	
		#leftcol { width: <?php echo $leftcol_width; ?>px; }
		#mainright { width: <?php echo $rightcol_width; ?>px; }
<?php if ($logoImage == "false" && $imagePath != "") { ?>
		#logo { background:url("<?php echo $imagePath; ?>") no-repeat; background-size: <?php echo $leftcol_width; ?>px auto; width: <?php echo $leftcol_width; ?>px; }
<?php } ?>
	</style>
	<jdoc:include type="head" />
</head>
<body>
<div align="center">
	<div id="container">
		<div id="leftcol">
			<div id="logo">
<?php if ($logoImage == "true" || ($logoImage == "false" && $imagePath == "")) { ?>
				<h1><a href="<?php echo $this->baseurl; ?>"><?php echo $textlogo; ?></a></h1>
				<h2><?php echo $subtitle; ?></h2>
<?php } else { ?>
				<a href="<?php echo $this->baseurl; ?>"><img src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/images/blank.gif" style="border:0;width:100%;height:100%;" alt="<?php echo htmlspecialchars( $imageALT ); ?>" /></a>
<?php } ?>
			</div>
			<div class="clr"></div>
			<div id="leftmods"><jdoc:include type="modules" name="left" style="rounded" /></div>
		</div>
		<div id="maincol">
			<div id="menus">
				<div id="leftmenu"><jdoc:include type="modules" name="top" style="rounded" /></div>
				<div id="rightmenu"><jdoc:include type="modules" name="inset" style="rounded" /></div>
				<div class="clr"></div>
			</div>
<?php if ($this->countModules('right')) { ?>
			<div id="mainright"><jdoc:include type="modules" name="right" style="rounded" /></div>
<?php } ?>
			<div id="mainleft<?php if (!$this->countModules('right')) { ?>wide<?php } ?>">
				<div id="content">
					<div id="innerbody">
<?php if ($this->countModules('breadcrumb')) { ?>
						<div id="breadcrumbs"><jdoc:include type="modules" name="breadcrumb" /></div>
<?php } ?>
<?php if ($this->countModules('user3') || $this->countModules('user4')) { ?>
						<div id="topusers<?php echo $topCount; ?>">
							<div id="user3"><jdoc:include type="modules" name="user3" style="rounded" /></div>
							<div id="user4"><jdoc:include type="modules" name="user4" style="rounded" /></div>
							<div class="clr"></div>
						</div>
<?php } ?>
						<jdoc:include type="message" /><jdoc:include type="component" />
<?php if ($this->countModules('user5') || $this->countModules('user6')) { ?>
						<div id="botusers<?php echo $botCount; ?>">
							<div id="user5"><jdoc:include type="modules" name="user5" style="rounded" /></div>
							<div id="user6"><jdoc:include type="modules" name="user6" style="rounded" /></div>
							<div class="clr"></div>
						</div>
<?php } ?>
					</div>
				</div>
			</div>
			<div class="clr"></div>
		</div>
		<div id="foot">
			<div id="copyright">Copyright &copy; <?php echo date( 'Y' ); ?>, <a href="http://www.joomlapolis.com/" target="_blank">Joomlapolis.com</a>. All Rights Reserved.</div>
			<div id="botmenu"><jdoc:include type="modules" name="bottom" style="xhtml" /></div>
			<div class="clr"></div>
		</div>
	</div>
	<div class="clr"></div>
</div>
<jdoc:include type="modules" name="debug" />
</body>
</html>
